import { DefineBehavior } from './define-behavior';
export function DefineFilterEffect(options) {
    return (constructor) => {
        return DefineBehavior(Object.assign(Object.assign({}, options), { type: 'filterEffect' }))(constructor);
    };
}
